updateVoiceprintDeviceConfig(params: UpdateVoiceprintDeviceConfigParams)
Requires:
@tuya-miniapp/cloud-api≥1.x.x
Description
Update the device's voiceprint device configuration.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request parameters |
Return Value
Type: Promise<boolean>
UpdateVoiceprintDeviceConfigResult (for field meanings, see the type definition and minituya response parameters)
Valid Values
UpdateVoiceprintDeviceConfigParams.enableRecognize
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
UpdateVoiceprintDeviceConfigParams.enableAutoRegister
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
UpdateVoiceprintDeviceConfigParams.lockMode
| Value | Description | Since |
|---|---|---|
off | - | - |
specified | - | - |